| Home | Libraries | People | FAQ | More

## Struct template on_invertible<Type, false>

boost::icl::interval_base_map::on_invertible<Type, false>

## Synopsis

    // In header: <boost/icl/interval_base_map.hpp>

    template<typename Type>
    struct on_invertible<Type, false> {
      // types
      typedef Type::segment_type             segment_type;
      typedef Type::inverse_codomain_combine inverse_codomain_combine;

      // public static functions
      static void subtract(Type &, const segment_type &);
    };

## Description

### `on_invertible` public static functions

1.     static void subtract(Type & object, const segment_type & operand);